const fs = require('fs');
const { version, author } = JSON.parse(fs.readFileSync('package.json'));

const header = `
@charset "UTF-8";

/*!
 * retain.css
 * Version - ${version}
 * Licensed under the Hippocratic License 2.1 - http://firstdonoharm.dev
 *
 * Copyright (c) ${new Date().getFullYear()} ${author}
 */

`;

module.exports = (ctx) => {
    const devMessage = `🎉🎉🎉🎉 \nretain.css ${ctx.env} build was compiled sucessfully! \n`;

    console.log(devMessage);

    return {
        map: ctx.options.map,
        parser: ctx.options.parser,
        plugins: {
            'postcss-import': { root: ctx.file.dirname },
            'postcss-preset-env': {
                autoprefixer: {
                    cascade: false,
                },
                features: {
                    'custom-properties': true,
                },
            },
            cssnano: ctx.env === 'production' ? {} : false,
            'postcss-header': {
                header,
            },
        },
    };
};
